# Desenvolvimento web (MVP) : Comparador de Cursos

![logobranco](src/assets/logo.png)

<div align='center'>

🔗 [Link da aplicação](https://pravaler-comparador.netlify.app/) 🔗

</div>

Nossa equipe de Desenvolvedoras recebeu uma tarefa enviada pela empresa Pravaler, onde deveríamos criar uma aplicação web que permita que o aluno obtenha informações sobre os cursos, possa comparar e escolher um curso de graduação.
Sendo a página inicial como um convite ao aluno para conhecer mais sobre o Pravaler, saber como funciona o crédito, o que ele precisa fazer para contratá-lo, apresentar o comparador de cursos e encorajá-lo a usar.
A página do Comparador de cursos, mostra as opções de curso oferecidas ao aluno, assim ele pode escolher três opções e pode visualizar um comparativo com as informações sobre os cursos. 
Uma página de dados pessoais ao clicar no botão  “Selecionar” na tabela, o aluno é redirecionado para uma página de cadastro, onde conterá um formulário para o preenchimento dos dados pessoais: nome, telefone, email, endereço (rua, bairro, cidade, uf).
Ressaltando que este projeto foi desenvolvido especialmente para o Talent Fest da Laboratória Brasil , onde as empresas lançam um desafio e as desenvolvedoras formadas têm apenas quatro dias para entregar a solução, tendo também as apresentações transmitidas via Youtube.


## 1. Planejamento e Organização
O projeto foi realizado em 3 dias utilizando a metodologia ágil KANBAN, por meio da plataforma [Trello](https://trello.com/b/oNRchXeg).


![Planejamento](src/assets/trello.jpeg)

## 2. Protótipo de Alta Fidelidade

O protótipo de alta fidelidade foi desenvolvido na ferramenta do Figma.

![](src/assets/tela1.png)

---

![](src/assets/tela2.png)

---

![](src/assets/tela3.png)

## 3. Paleta de Cores

A paleta de cores foi inspirada na da empresa.

 <div align="center">

![](src/assets/paletadecores.png)

</div>

## 4. Tecnologias Utilizadas

<p align="center">
<a href="https://www.w3.org/html/" target="_blank" rel="noreferrer"><img src="https://raw.githubusercontent.com/devicons/devicon/master/icons/html5/html5-original-wordmark.svg" alt="html5" width="40" height="40"/></a>
<a href="https://www.w3schools.com/css/" target="_blank" rel="noreferrer"><img src="https://raw.githubusercontent.com/devicons/devicon/master/icons/css3/css3-original-wordmark.svg" alt="css3" width="40" height="40"/></a>
<a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript" target="_blank" rel="noreferrer"><img src="https://raw.githubusercontent.com/devicons/devicon/master/icons/javascript/javascript-original.svg" alt="javascript" width="40" height="40"/></a>
<a href="https://reactjs.org/" target="_blank" rel="noreferrer"><img src="https://raw.githubusercontent.com/devicons/devicon/master/icons/react/react-original-wordmark.svg" alt="react" width="40" height="40"/></a>
<a href="https://nodejs.org" target="_blank" rel="noreferrer"><img src="https://raw.githubusercontent.com/devicons/devicon/master/icons/nodejs/nodejs-original-wordmark.svg" alt="nodejs" width="40" height="40"/></a>
<a href="https://git-scm.com/" target="_blank" rel="noreferrer"><img src="https://www.vectorlogo.zone/logos/git-scm/git-scm-icon.svg" alt="git" width="40" height="40"/></a>
<a href="https://www.figma.com/" target="_blank" rel="noreferrer"> <img src="https://www.vectorlogo.zone/logos/figma/figma-icon.svg" alt="figma" width="40" height="40"/></a>
</p>
 
## 5. Considerações

<table>
<td>
  <div align="center">
    <img alt="Flávia Dantas" src="https://media-exp2.licdn.com/dms/image/C4D03AQGu1iAOi6Lv4Q/profile-displayphoto-shrink_200_200/0/1649097392522?e=1661990400&v=beta&t=KPTAv-yiC7JRPgJqUVeH8YqKYeKyQ8he6braxAlMmgU "> 
  </div>
  <h3 align="center">Flávia Dantas</h3>
  <div align="center">
     <a href="https://www.linkedin.com/in/flavia-dantas/" target="_blank"><img src="https://img.shields.io/badge/-LinkedIn-%230077B5?style=for-the-badge&logo=linkedin&logoColor=white"></a>
  </div>
  <div align="center">
     <a href="https://github.com/flavia-dantas" target="_blank"><img src="https://img.shields.io/badge/GitHub-100000?style=for-the-badge&logo=github&logoColor=white"></a>
  </div>
  </div>
</td>

<td>
  <div align="center">
    <img alt="Julia Benedicto" src="https://media-exp2.licdn.com/dms/image/C4E03AQG8cIZvxeOScw/profile-displayphoto-shrink_200_200/0/1655136360544?e=1661990400&v=beta&t=Mc74sAHlkB9UwxetL7F9aceozP5Nwd31qHSQHE0eQOs"> 
  </div>
  <h3 align="center">Julia Benedicto</h3>
  <div align="center">
     <a href="https://www.linkedin.com/in/julia-benedicto/" target="_blank"><img src="https://img.shields.io/badge/-LinkedIn-%230077B5?style=for-the-badge&logo=linkedin&logoColor=white"></a>
  </div>
    <div align="center">
     <a href="https://github.com/juliabb/" target="_blank"><img src="https://img.shields.io/badge/GitHub-100000?style=for-the-badge&logo=github&logoColor=white"></a>
  </div>
  </div>
</td>

<td>
  <div align="center">
    <img alt="Letícia Antunes" src="https://media-exp2.licdn.com/dms/image/C4E03AQGKvq8Ms4Vk6g/profile-displayphoto-shrink_200_200/0/1649704816282?e=1661990400&v=beta&t=GpUMAEEhL8TQlwOAH8ydqv0hZlY3h1bHsdNDe9kUtK4"> 
  </div>
  <h3 align="center">Letícia Antunes</h3>
  <div align="center">
     <a href="https://www.linkedin.com/in/leticiaantunes95/" target="_blank"><img src="https://img.shields.io/badge/-LinkedIn-%230077B5?style=for-the-badge&logo=linkedin&logoColor=white"></a>
  </div>
    <div align="center">
     <a href="https://github.com/leticiaantunesjpeg/" target="_blank"><img src="https://img.shields.io/badge/GitHub-100000?style=for-the-badge&logo=github&logoColor=white"></a>
  </div>
  </div>
</td>

<td>
  <div align="center">
    <img alt="Suelen Escorcio" src="https://media-exp2.licdn.com/dms/image/C5603AQHam_w8CXAAlg/profile-displayphoto-shrink_200_200/0/1643205919960?e=1661990400&v=beta&t=3BkNZuCscRqiZAJKhg2X_0HpEP6ELW4zbsZIGHZKgY4"> 
  </div>
  <h3 align="center">Suelen Escórcio</h3>
  <div align="center">
     <a href="https://www.linkedin.com/in/suelen-escorcio/" target="_blank"><img src="https://img.shields.io/badge/-LinkedIn-%230077B5?style=for-the-badge&logo=linkedin&logoColor=white"></a>
  </div>
    <div align="center">
     <a href="https://github.com/suelenescorcio/" target="_blank"><img src="https://img.shields.io/badge/GitHub-100000?style=for-the-badge&logo=github&logoColor=white"></a>
  </div>
  </div>
</td>

<td>
  <div align="center">
    <img alt="Vanessa Borges" src="https://media-exp2.licdn.com/dms/image/C4E03AQH_fQqE-5fdVA/profile-displayphoto-shrink_200_200/0/1655140373559?e=1661990400&v=beta&t=pYxasiN9zcbcJXy3oinwuuD1ZqLMo5cimKTl2saH03A"> 
  </div>
  <h3 align="center">Vanessa Borges</h3>
  <div align="center">
     <a href="https://www.linkedin.com/in/vanessa-borges-a05b4636/" target="_blank"><img src="https://img.shields.io/badge/-LinkedIn-%230077B5?style=for-the-badge&logo=linkedin&logoColor=white"></a>
  </div>
    <div align="center">
     <a href="https://github.com/vanessavb92/" target="_blank"><img src="https://img.shields.io/badge/GitHub-100000?style=for-the-badge&logo=github&logoColor=white"></a>
  </div>
  </div>
</td>

</table>

## 6. Agradecimentos

- Agradecimentos especiais a equipe do Pravaler que deu suporte a nossa equipe durante o desafio do Talent Fest Brasil da <a href="https://www.laboratoria.la/br">Laboratória</a>.

